---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-28T11:11:00Z"
    creationTimestamp: "2025-10-27T11:30:56Z"
    labels:
      prometheus: openshift-controller-manager
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:prometheus: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-28T11:11:00Z"
    name: controller-manager
    namespace: openshift-controller-manager
    resourceVersion: "997809"
    uid: fe676f60-23e4-49d2-9832-a406dfea29c3
  subsets:
  - addresses:
    - ip: 10.128.1.41
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: controller-manager-74b8c4c6f7-p8f8g
        namespace: openshift-controller-manager
        uid: f7e5cb6a-1d66-41d7-b79a-b7d880789dcd
    - ip: 10.129.1.187
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: controller-manager-74b8c4c6f7-b4cgf
        namespace: openshift-controller-manager
        uid: aaa9ebaf-904c-4704-b4a6-d4b3d0b63caf
    - ip: 10.130.1.101
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: controller-manager-74b8c4c6f7-rjvpc
        namespace: openshift-controller-manager
        uid: a0b8cecc-26e0-4a74-9514-b150d7ed0ee0
    ports:
    - name: https
      port: 8443
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2220514"
